@import "./variable.scss";
@import "react-toastify/dist/ReactToastify.min.css";
// @import "pdf.scss";
@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


#nprogress .bar {
  background: "$gradient" !important;
  height: 4px !important;
  z-index: 1101 !important;
}

::-webkit-file-upload-button {
  background: #3e63dd;
  color: #fff;
  border: 0px;
  // padding: 1em;
}

input[type=file] {
  padding-left: 0px;
}

// @mixin tbl($tblStyle) {
//   @if $tblStyle  == stockmng{
//     height : calc($height - 540px);
//   }
//   @if $tblStyle  == permission{
//     height: calc($height - 340px);
//   }
//   @if $tblStyle  == inwardmov{
//     height: calc($height - 505px);
//   }

// }
// @font-face {
//   font-family: 'NunitoExtraLight';
//   src: url('../assets/Nunito/Nunito-ExtraLight.ttf')format('truetype');

// }
// @font-face {
//   font-family: 'Nunito';
//   src: url('../assets/Nunito/Nunito-Regular.ttf')format('truetype');
//   // font-weight: 400;
//   // font-style: normal;
// }
// @font-face {
//   font-family: 'NunitoSemiBold';

//   src: url('../assets/Nunito/Nunito-SemiBold.ttf')format('truetype');
//   // font-weight: 400;
//   // font-style: normal;
// }
::-webkit-scrollbar {
  width: 0.2em;
}

::-webkit-scrollbar-track {
  box-shadow: none;
}

:hover::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb {
  background-color: transparent;
  // outline: 1px solid slategrey;
}

:hover::-webkit-scrollbar-thumb {
  background-color: darkgrey;
}

body {
  font-size: $font-size;
  font-family: $font-family;
}

@media (min-width: 992px) {
  .container {
    max-width: 860px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1053px;
  }
}

.bg2 {
  background-color: $background-color-2;
}

.text-primary {
  color: $primary-color  !important;
}

.extralight {
  font-family: "NunitoExtraLight"
}

img {
  object-fit: contain;
}

.sliderHome {
  img {
    width: 100%;
    height: 60vh;
    object-fit: cover;
  }
}

.sliderTextTitle {
  font-family: $font-family-bold;
  font-size: 63px !important;
}

.sliderTextSubtitle {
  font-family: $font-family-bold;
  font-size: 54px !important;
  line-height: 64px !important;
}

.sliderSmallText {
  font-family: $font-family;
  font-size: 14px !important;
  color: #6f6f6f !important;
  margin-top: 30px !important;
  margin-bottom: 30px !important;
}

.sectionTitle {
  font-family: $font-family-bold;
  font-size: 54px !important;
  line-height: 64px !important;
}

.smallText {
  font-family: $font-family;
  font-size: 14px !important;
  color: #6f6f6f !important;
}

.section {
  padding: 100px 0px;

  &.light {
    background-color: #fff;
  }
}

.cardTitle {
  // background: linear-gradient(165deg, #0463EF, #66E5FB);
  background: #0463EF;
  position: absolute;
  left: 0;
  top: 0;
  padding: 5px 30px;
  border-radius: 7px 0px 50px 0px;
  color: #fff !important;
}

.wrapper {
  display: flex;
  width: 100%;
  align-items: stretch;
  // height: calc(100vh - $header-height);
  min-height: calc(100vh - 345px);
}

#sidebar {
  width: calc($sidebar-width + 82px);
  background: $sub-background;
  transition: all 0.3s ease-in-out;
  // height: 100vh;
  height: calc(100vh - $header-height);
  box-shadow: rgb(113 122 131 / 11%) 0px 7px 30px 0px;
  overflow-y: auto;
  overflow-x: hidden;
  white-space: nowrap;
  left: 0;
  position: sticky;
  top: 0;
}

#sidebar-close {
  width: 0;
  white-space: nowrap;
  left: -100%;
  background: $sub-background;
  transition: all 0.3s ease-in-out;
  height: calc(100vh - $header-height);
  box-shadow: rgb(113 122 131 / 11%) 0px 7px 30px 0px;
  overflow-y: auto;
}

// #sidebar {
//   position: fixed;
//   top: 0;
//   width: 15%;
//   height: 100%;
//   display: flex;
//   flex-direction: column;
//   padding: 0;
//   background: $sub-background;
// }
#sidebar::-webkit-scrollbar {
  width: 4px;
  height: 4px;
  visibility: hidden;
}

#sidebar:hover::-webkit-scrollbar {
  visibility: visible;
}

#sidebar::-webkit-scrollbar-track {
  // box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.15);
  visibility: hidden;
}

#sidebar:hover::-webkit-scrollbar-track {
  visibility: visible;
}

#sidebar::-webkit-scrollbar-thumb {
  border-radius: 8px;
  background-color: darkgrey;
  // outline: 1px solid slategrey;
  visibility: hidden;
}

#sidebar:hover::-webkit-scrollbar-thumb {
  visibility: visible;
}

.userPosition {
  font-size: 12px;
  color: #A098AE;
}

// .sidebar {
//   // width: 25%;
//   height: 100vh; // experiment with this value, try changing to 110vh
//   min-height: 200px;
//   overflow-y:auto ;
//   overflow-x: hidden;
//   position: -webkit-sticky;
//   position: sticky;
//   top: 0;
// }
#content {
  width: 100%;
  // padding: $header-height 20px 20px 20px;
  // padding: 0px 20px 20px 20px;
  padding: 0px 0px 20px 0px;
  // min-height: 100vh;
  // min-height: calc(100vh - $header-height);
  transition: all 0.3s;
  background-color: $background-color;
  overflow-y: auto;
  overflow-x: hidden;
}

h1 {
  color: $text-color;
}

h2 {
  color: $text-color;
}

h3 {
  color: $text-color;
}

h4 {
  color: $text-color;
}

h5 {
  color: $text-color;
}

h6 {
  color: $text-color;
  margin-bottom: 0;
}

p {
  color: $text-color;
  margin-bottom: 0;
}

a {
  color: $secondary-color;
  cursor: pointer;
  text-decoration: none;
}

.pointer {
  cursor: pointer;
}

//button

.btn-primary,
.btn-primary:focus,
.btn-primary:active {
  color: $alt-text-color;
  background-color: $secondary-color;
  border-color: $secondary-color;
  box-shadow: none !important;
}

.btn-primary:hover {
  color: $alt-text-color;
  background-color: $primary-color;
  border-color: $primary-color;
  box-shadow: none !important;
}

//layout styles
.active {
  // background-color: #04c9d7;
  // margin: 10px;
  margin: 0px;
  border-radius: 9px;
  color: $alt-text-color;
}

.form-control:focus {
  border-color: $secondary-color;
  box-shadow: none;
}

//layout styles

.form-check-input:checked {
  background-color: $primary-color;
  border-color: $primary-color;
}

.form-check-input:focus {
  border-color: $primary-color;
  outline: 0;
  -webkit-box-shadow: 0 0 0 0.25rem rgba($primary-color, 0.25);
  box-shadow: 0 0 0 0.25rem rgba($primary-color, 0.25);
}

.card {
  border-radius: $box-radius;
  border: none;
  box-shadow: rgb(90 114 123 / 11%) 0px 7px 30px 0px;
}

.responsive-table-fixed {
  width: 100%;
  overflow: auto;
  // height: calc(100vh - 200px);
  height: auto;

  .table {
    display: table;
    width: 100%;
    border-collapse: separate;
    border-spacing: 0px;

    thead {
      display: table-header-group;
      // display: table;
      width: 100%;
      border-collapse: separate;
      border-spacing: 0px;

      tr {
        color: inherit;
        display: table-row;
        vertical-align: middle;
        outline: 0px;
        width: 100%;
        border-collapse: separate;
        border-spacing: 0px;

        th {
          font-family: "DM Sans", sans-serif;
          font-weight: 500;
          font-size: 0.875rem;
          line-height: 1.5rem;
          display: table-cell;
          vertical-align: inherit;
          border-bottom: 1px solid rgb(224, 224, 224);
          text-align: left;
          padding: 16px;
          color: rgba(0, 0, 0, 0.87);
          position: sticky;
          top: 0px;
          z-index: 2;
          background-color: rgb(250, 251, 251);
        }
      }
    }

    tbody {
      td {
        vertical-align: middle;
      }
    }
  }
}

.for-show-column {
  overflow: hidden;
  position: relative;
}

.show_header_selection {
  // position: fixed;
  // top: 0;
  // z-index: 99999;
  // width: 100%;
  // padding: 0px 20px;
  // left: 0;
  height: 100%;

  .show_header_selection_box {
    overflow-y: auto;
    max-height: 100%;
    // background-color: #eee;
    // padding: 20px;
    // border-radius: 0px 0px 20px 20px;
    position: relative;

    h2 {
      font-size: 16px;
      padding-bottom: 10px;
      border-bottom: 1px solid #eee;
    }

    .btn-icon {
      position: absolute;
      right: 20px;
      top: 0px;
      cursor: pointer;
      font-size: 24px;
    }
  }

  .btn-icon {
    position: absolute;
    // left: -4px;
    left: -30px;
    // width: 15px;
    // background: white;
    // padding: 13px 0px 13px 3px;
    padding: 3px;
    // border-radius: 50% 0 0 50%;
    color: #3a3a3a;
    box-shadow: -2px 0px 5px rgba(0, 0, 0, 0.04);
    font-size: 24px;
    top: 50%;
    transform: translateY(-50%);
    color: #fff;
    cursor: pointer;
    transition: all 0.4s ease-out;
    border-radius: 20px 0px 0px 20px;

    // background-color: var(--primary-color);
    i {
      display: block;

      &::before {
        display: block;
      }
    }
  }

  // .btn-icon:hover {
  //   left: -15px;
  //   border-radius: 10px 0 0 10px;
  // }
}

.show_header_selection.shown {
  .btn-icon {
    // left: -15px;
    border-radius: 10px 0 0 10px;

    i {
      display: block;
    }
  }

  i {
    // transform: rotate(180deg);
  }
}

::ng-deep .custom-control.custom-checkbox.check-all {
  // border-bottom: 1px solid #ddd;
  // margin-bottom: 5px;
  padding-bottom: 5px;
  margin: 0px 10px;
  // background: #eee;
  border-radius: 10px;
}

.show_header_selection {
  width: 280px !important;
  // position: absolute;
  position: fixed;
  z-index: 1029;
  // top: 50%;
  top: 145px;
  right: 0;
  background: #fff;
  box-shadow: 0 1px 15px rgb(0 0 0 / 4%), 0 1px 6px rgb(0 0 0 / 4%);
  // transform: translate(280px,-50%);
  transform: translate(280px, 0%);
  padding-top: 50px;
  padding-bottom: 10px;
  height: calc(100vh - 215px);
}

.show_header_selection.shown {
  // transform: translateY(calc(-50% + .5px));
  transform: translate(0px, 0%);
  transition: transform 0.4s ease-out;
  box-shadow: 0 1px 35px rgb(0 0 0 / 6%), 0 1px 35px rgb(0 0 0 / 6%);
  border-radius: 20px 0px 0px 20px;
}

.show_header_selection.hidden {
  // transform: translate(280px,-50%);
  transform: translate(280px, 0%);
  transition: transform 0.4s ease-out;
}

.show_header_selection.shown+div::before {
  content: "";
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  left: 0px;
  top: 0px;
  z-index: 999;
}

.custom-control.custom-checkbox.check-all {
  // border-bottom: 1px solid #ddd;
  margin-top: 5px;
  margin-bottom: 5px;
  padding-bottom: 5px;
  font-weight: bold;
}

.custom-control {
  position: relative;
  display: block;
  min-height: 1.5rem;
  padding: 5px 20px 5px 25px;
  margin: 0px 10px;
  // padding-left: 1.5rem;
}

// .custom-control-input {
//   left: 1px;
//   top: 3px;
//   opacity: 0;
//   z-index: 1;
//   pointer-events: none;
// }
.custom-control-input {
  margin-top: 5px;
  display: none;
}

.custom-control-input,
.custom-control-label {
  outline: initial !important;
  box-shadow: none !important;
  vertical-align: middle;
  margin-right: 10px;
}

.custom-control-label,
.form-check-label {
  line-height: 24px;
  padding-top: 1px;
}

.custom-control-label {
  position: relative;
  margin-bottom: 0;
  vertical-align: top;
  padding-left: 10px;
  font-size: 14px;
}

.custom-control-label:before,
.custom-control-label:after {
  content: "";
  width: 15px;
  height: 15px;
  top: 5px;
  position: absolute;
  left: -15px;
}

.custom-control-input:checked~.custom-control-label::before {
  background-color: #6418c3;
  border-color: #6418c3;
}

.custom-checkbox .custom-control-input:checked+.custom-control-label:before,
.custom-radio .custom-control-input:checked+.custom-control-label:before {
  background-color: #007dba;
  box-shadow: none !important;
}

.custom-control-input:checked+.custom-control-label:before {
  background-color: var(--primary-color) !important;
  box-shadow: none !important;
  border: 1px solid var(--primary-color) !important;
}

.custom-control-input:checked+.custom-control-label:before {
  color: #fff;
  border-color: #007bff;
  background-color: #007bff;
  display: block;
}

.custom-checkbox .custom-control-label:before {
  border-radius: 0.25rem;
  background: #eee;
  display: block;
}

.custom-control-label:after,
.custom-control-label:before {
  top: 0.25rem;
}

.custom-control-input:checked+.custom-control-label:after {
  background-color: none !important;
  box-shadow: none !important;
  border-top: 1px solid transparent !important;
  border-right: 1px solid transparent !important;
  border-bottom: 2px solid #fff !important;
  border-left: 2px solid #fff !important;
  transform: rotate(-45deg);
  position: absolute !important;
  height: 6px;
  width: 11px;
  left: -13px;
  top: 6px;
}

.card-list {
  justify-content: center;

  .card {
    height: 100%;

    .card-body {
      position: relative;

      // padding-bottom: 160px;
      // .table-box {
      //   position: absolute;
      //   bottom: 0px;
      //   width: 100%;
      //   left: 0px;
      //   padding: 0px 15px;
      // }
      .App {
        text-align: center;

        // background-color: #ececec;
        img {
          object-fit: contain;
          height: 200px;
        }
      }

      .filepond--credits {
        display: none;
      }
    }
  }
}

/***
  START react - pagination

***/

.pagination {
  display: inline-block;
  padding-left: 0px;
  padding-right: 0px;
  margin: 10px 0px 0px 0px;

  & li {
    margin: 0px 2px;
    display: inline-block;

    & a {
      width: 22px;
      height: 22px;
      line-height: 22px;
      border-radius: 5px;
      text-align: center;
      font-size: 12px;
      display: block;
    }

    &.active {
      & a {
        // background-color: $primary-color !important;
        background-image: linear-gradient(90deg, #0463EF, #66E5FB) !important;
        color: #fff;
        // width: 20px;
        // height: 20px;
        // line-height: 20px;
        // border-radius: 50%;
        text-align: center;
        font-size: 12px;
      }

      & :hover {
        color: #fff;
      }
    }

    & :focus {
      outline: none;
    }
  }

  & li.disabled {
    opacity: 0.3;
  }
}

.break-me {
  padding: 2px;
}

#react-paginate li {
  display: inline-block;
}

.form-check-input {
  margin-top: 0.1rem;
}

.seperater {
  margin: 20px 15px;
  border-top: 1px solid #eee;
  display: block;
  width: 100%;
}

/***
  END react - pagination
***/

/***
  START Loader
***/

/* Absolute Center Spinner */
.loading {
  position: fixed;
  z-index: 999;
  overflow: show;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 50px;
  height: 50px;
}

/* Transparent Overlay */
.loading:before {
  content: "";
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
}

/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
  /* hide "loading..." text */
  font: 0/0 a;
  color: transparent;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}

.loading:not(:required):after {
  content: "";
  display: block;
  font-size: 10px;
  width: 70px;
  height: 70px;
  margin-top: -0.5em;

  // border: 15px solid rgba(33, 150, 243, 1.0);
  border: 15px solid rgba($primary-color, 1);
  border-radius: 100%;
  border-bottom-color: transparent;
  -webkit-animation: spinner 1s linear 0s infinite;
  animation: spinner 1s linear 0s infinite;
}

/* Animation */

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-moz-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-o-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/***
  END Loader
***/

.bdr_right {
  border-right: 1px solid #ccc;
}

.permissiontable {
  th {
    padding: 0px;
  }

  td {
    padding: 0px;
  }

  thead {
    border-bottom: 2px solid #ccc !important;
  }
}

h1,
.h1 {
  font-size: 1.75rem;
}

.srno {
  background-color: #efefef;
  border-radius: 10px;
  padding: 3px 10px;
  margin: 2px;
}

.action-btn {
  // background-color: #efefef;
  border-radius: 10px;
  padding: 3px 7px;
  margin: 2px;
}

.main-card {
  /* Subtract 80px from 100vh */
  height: calc(100vh - 240px);
}

.z-dropdown {
  z-index: 2 !important;
}

// .card-body{
//   z-index: 0;
// }

// Dropdown {
//   overflow: visible;
//   z-index: 2;
// }
.card-body {
  z-index: 0;
}

section .card .card-body {
  .row>div {
    margin-bottom: 1rem;

    label {
      margin-bottom: 0.3rem;
    }
  }
}

.page-title-section {
  // background-image: linear-gradient(#fff, #f5f5f5);
  padding: 20px 30px 10px 30px;
  // margin-bottom: -10px !important;
  position: sticky;
  // top: $header-height;
  top: 0px;
  // z-index: 1101;
  z-index: 1099;
  background-color: $background-color;
  border-radius: 10px 10px 0px 0px;
  // h1 {
  //   border-bottom: 5px solid #eb670a;
  // }
}

.pageContent {
  padding: 0px 20px;
}

// .sectionTitle {
//   display: block;
//   font-weight: bold !important;
//   margin-bottom: 20px !important;
//   margin-top: 20px !important;
//   color: #0463EF !important; 
//   &::before {
//     content: "";
//     border: 3px solid;
//     display: inline-block;
//     transform: rotate(45deg);
//     margin-right: 10px;
//     vertical-align: middle;
//   }
// }

// @mixin text-color($val){
//     @if $val == light {
//       color: #f8f9fa;
//     }
//     @else if $val == dark {
//       color: #212529;
//     }
//   }

// .inward {
//     font-size:16px;
//     @include text-color(dark);
// }
// .outward {
//   font-size:16px;
//   @include text-color(light);
// }

.outward {
  // background-color: #f9e6e6 !important;
  background-color: #fdf7f7 !important;

  td:first-child {
    border-left: 5px solid #f9e6e6;
  }
}

.inward {
  // background-color: #d3f5d3 !important;
  background-color: #f8fff8 !important;

  td:first-child {
    border-left: 5px solid #d3f5d3;
  }
}

// .outward{
//   background-color: #ffffdd;
// }
// .inward{
//   background-color: #f6f7f8;
// }

// $height: 100vh;

// @mixin tbox($tboxStyle) {
//   @if $tboxStyle == tdark {
//     // height: calc($height - 100px);
//     height: calc($height / 5);
//     background-color: gray;
//   }
//   @if $tboxStyle == tlight {
//     height: calc($height - 500px);
//     background-color: green !important;
//   }
// }

// .res-table {
//   @include tbox(tdark);
// }
// .per-table {
//   @include tbox(tlight);
// }
// .myClass{
//   width: 250px;
//   margin: 15px;
//   padding: 25px;
//   border-radius: 5px;
//   @include box(tlight);
// }

// @mixin box($boxStyle) {
//   @if $boxStyle == dark {
//     background-color: #000;
//     color: #fff;
//   }
//   @if $boxStyle == light {
//     background-color: #f8f8f8;
//     color: #000;
//   }
// }
// .myClass {
//   width: 250px;
//   margin: 15px;
//   padding: 25px;
//   border-radius: 5px;
//   @include box(light);
// }

// .stockManagement {
//   .responsive-table-fixed {
//     @include tbl(stockmng);
//   }
// }
// .permission {
//   .responsive-table-fixed {
//     @include tbl(permission);
//   }
// }
// .inwardmovement {
//   .responsive-table-fixed {
//     @include tbl(inwardmov);
//   }
// }

.svgicon {
  color: #ea670a;
}

.form-control {
  border-radius: 0.25rem !important;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

.ReactModalPortal>div {
  z-index: 9999;
}

.ReactModal__Content {
  width: 75%;
  margin: 0 auto;
  padding: 0px !important;
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2);
  border: 0px solid !important;
  border-radius: 20px !important;
}

.Overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rebeccapurple;
}

.ReactModal__Overlay {
  opacity: 0;
  transition: opacity 500ms ease-in-out;
  width: 100%;

  .modal-body {
    // height: 70vh;
    height: calc(100vh - 220px);
    overflow-y: auto;
    width: 100%;
  }

  // margin: 0 auto;
}

.ReactModal__Overlay--after-open {
  opacity: 1;
}

.ReactModal__Overlay--before-close {
  opacity: 0;
}

.modal-header {
  // padding: 0.25rem 0rem;
}

.modal-footer {
  // padding: 0rem;
}

// START PDF CSS

.pdf_btmborder {
  border-bottom: 5px solid $primary-color;

  td {
    white-space: nowrap;
    background-color: $background-color;
  }
}

.center-info {
  border: 1px solid $light-border;
  padding: 5px;

  span {
    font-weight: bold;
  }
}

.warmeo-table {
  thead {
    background-color: $primary-color;
    color: $sub-background;
    text-align: center;

    th {
      padding: 10px;
      border: 1px solid rgba($light-border, 0.5);
    }
  }

  tbody {
    td {
      text-align: center;
      border: 1px solid rgba($light-border, 0.25);
    }

    tr:last-child {
      border-bottom: 5px solid $primary-color;
    }
  }
}

.autorized-table {
  text-align: right;
  font-weight: bold;
  // .autorized{
  //   td {
  //     text-align: right;
  //   }
  // }
}

// END PDF CSS







.galleryItem {
  text-align: center;
  position: relative;
  margin-bottom: 50px;

  img {
    width: 100%;
    height: 200px;
    object-fit: cover;
  }

  .galleryButton {
    position: absolute;
    width: 100%;
    bottom: -20px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

.pill {
  padding: 0px 12px;
  border-radius: 50px;
}

.pill_Active {
  background-color: $active_color_bg  !important;
  border: 0px !important;

  span {
    color: $active_color  !important;
  }
}

.pill_Inactive {
  background-color: $inactive_color_bg  !important;
  border: 0px !important;

  span {
    color: $inactive_color  !important;
  }
}

// product detail page slider with zoom

.image-gallery-content {
  position: relative;
  line-height: 0;
  top: 0;
}

.image-gallery-thumbnails-wrapper.left,
.image-gallery-thumbnails-wrapper.right {
  margin: 0 5px;
}

.image-gallery-thumbnails-wrapper.left,
.image-gallery-thumbnails-wrapper.right {
  display: inline-block;
  vertical-align: top;
  width: 100px;
}

.image-gallery-thumbnails-wrapper.thumbnails-swipe-vertical {
  touch-action: pan-x;
}

.image-gallery-thumbnails-wrapper {
  position: relative;
}


.image-gallery-thumbnails-wrapper.left .image-gallery-thumbnails .image-gallery-thumbnail,
.image-gallery-thumbnails-wrapper.right .image-gallery-thumbnails .image-gallery-thumbnail {
  display: block;
  margin-right: 0;
  padding: 0;
}

.image-gallery-thumbnail.active,
.image-gallery-thumbnail:focus {
  outline: none;
  border: 0px solid #337ab7;
}

.image-gallery-thumbnail.active,
.image-gallery-thumbnail:focus,
.image-gallery-thumbnail:hover {
  outline: none;
  // border: 4px solid #c09578!important;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
}

.image-gallery-thumbnail .image-gallery-thumbnail-inner {
  display: block;
  position: relative;
}

.image-gallery-thumbnail .image-gallery-thumbnail-image {
  vertical-align: middle;
  width: 100%;
  max-width: 60px;
  max-height: 60px;
  object-fit: contain;
  line-height: 0;
}

.image-gallery-slide-wrapper.left,
.image-gallery-slide-wrapper.right {
  display: inline-block;
  width: calc(100% - 110px);
}

.image-gallery-slide-wrapper {
  position: relative;
}

.image-gallery-slides {
  line-height: 0;
  overflow: hidden;
  position: relative;
  white-space: nowrap;
  text-align: center;
}

.image-gallery-slide.center {
  position: relative;
}

.image-gallery-slide {
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}


.image-gallery-thumbnails-wrapper.left .image-gallery-thumbnails {
  overflow: hidden auto;
  height: 400px !important;
}

.image-gallery-thumbnails-wrapper.left .image-gallery-thumbnails::-webkit-scrollbar {
  display: none
}

.image-gallery-thumbnail.active,
.image-gallery-thumbnail:hover,
.image-gallery-thumbnail:focus {
  outline: none;
  // border: 4px solid #c09578 !important;
}

.image-gallery-thumbnails-wrapper.thumbnails-swipe-horizontal {
  touch-action: pan-y;
  max-width: 400px;
  margin: 20px auto;
}

.image-gallery-thumbnails-wrapper.thumbnails-swipe-horizontal .image-gallery-thumbnails {
  overflow: hidden;
  padding: 5px 0;
}

.image-gallery-thumbnails-wrapper.thumbnails-swipe-horizontal .image-gallery-thumbnails .image-gallery-thumbnails-container {
  cursor: pointer;
  text-align: center;
  white-space: nowrap;
}

// .image-gallery-thumbnail+.image-gallery-thumbnail {
//   margin-left: 20px;
// }
.image-gallery-thumbnail {
  margin-left: 10px;
  margin-right: 10px;
}

.image-gallery-thumbnail {
  display: inline-block;
  border: 4px solid transparent;
  transition: border .3s ease-out;
  width: 60px;
  height: 60px;
  background: transparent;
  padding: 0;
  background-color: #fff;
  vertical-align: middle;
}

.image-gallery-left-nav .image-gallery-svg,
.image-gallery-right-nav .image-gallery-svg {
  height: 30px;
  width: 30px;
}

.image-gallery-icon {
  // display: none;
  color: #6D7278;
  transition: all .3s ease-out;
  appearance: none;
  background-color: transparent;
  border: 0;
  cursor: pointer;
  outline: none;
  position: absolute;
  z-index: 4;
  // filter: drop-shadow(0 2px 2px #1a1a1a);
}

.image-gallery-left-nav {
  left: 0;
}

.image-gallery-right-nav {
  right: 0;
}

.image-gallery-left-nav,
.image-gallery-right-nav {
  height: 40px;
  width: 40px;
  border-radius: 50%;
  border: 1px solid;
  padding: 0px;
  // padding: 50px 10px;
  top: 50%;
  transform: translateY(-50%);
}

.imgDiv {
  position: relative;
  height: 400px;
  width: 400px;
  margin: auto;
  z-index: 1;

  // border: 1px solid #d4d4d4;
  img {
    background-color: #F7FBFF;
  }
}

.imgDiv.hover {
  opacity: 0;
}

.video-wrapper {
  align-items: center;
  display: flex;
  position: relative;
  height: 400px;
  width: 400px;
  margin: auto;
  z-index: 1;
}

.img-zoom-lens {
  position: absolute;
  // border: 1px solid #d4d4d4;
  /*set the size of the lens:*/
  width: 100px;
  height: 100px;
  // background-color: rgba(0,0,0,0.1);
}

.img-zoom-result {
  // border: 1px solid #d4d4d4;
  /*set the size of the result div:*/
  width: 400px;
  height: 400px;
  position: absolute;
  top: 0px;
  left: 50%;
  margin-left: -200px;
  z-index: 0;
  background-repeat: no-repeat;
}


.statusList {
  display: flex;

  // padding-left: 50px;
  // background-color: #f9f9f9;
  // padding: 20px 0;
  // border: 1px solid #eee;
  // border-radius: 10px;
  >div {
    width: 25%;
    position: relative;

    // padding-left: 20px;
    &::before {
      content: "";
      position: absolute;
      // left: 50%;
      width: 15px;
      height: 15px;
      display: block;
      border-radius: 50%;
      background-color: #eee;
      top: 50%;
      transform: translate(-50%, -50%);
      z-index: 1;
    }

    &.passed {
      .status {
        color: green;
      }

      &::before {
        background-color: green;
      }

      .statusLine {
        background-color: green;
      }
    }

    &.current {
      .status {
        color: green;
      }

      &::before {
        background-color: green;
      }
    }

    &:last-child {
      .statusLine {
        opacity: 0;
        width: 0;
      }
    }

    .status {
      // text-align: center;
      padding-left: 15px;
    }

    .statusLine {
      height: 3px;
      background-color: #eee;
      // margin: 5px 0px;
      // transform: translateX(50%);
    }

    .statusDate {
      // text-align: center;
      padding-left: 15px;
    }
  }
}


//for knee-scroll start
.number-slide,
.number-slide {
  background: grey;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 50px;
  color: #fff;
  font-weight: 500;
  height: 300px;
  max-height: 100vh;
}

.number-slide1 {
  background: rgb(64, 175, 255);
  background: linear-gradient(128deg,
      rgba(64, 175, 255, 1) 0%,
      rgba(63, 97, 255, 1) 100%);
}

.number-slide2 {
  background: rgb(255, 75, 64);
  background: linear-gradient(128deg,
      rgba(255, 154, 63, 1) 0%,
      rgba(255, 75, 64, 1) 100%);
}

.number-slide3 {
  background: rgb(182, 255, 64);
  background: linear-gradient(128deg,
      rgba(182, 255, 64, 1) 0%,
      rgba(63, 255, 71, 1) 100%);
  background: linear-gradient(128deg,
      rgba(189, 255, 83, 1) 0%,
      rgba(43, 250, 82, 1) 100%);
}

.number-slide4 {
  background: rgb(64, 255, 242);
  background: linear-gradient(128deg,
      rgba(64, 255, 242, 1) 0%,
      rgba(63, 188, 255, 1) 100%);
}

.number-slide5 {
  background: rgb(255, 64, 156);
  background: linear-gradient(128deg,
      rgba(255, 64, 156, 1) 0%,
      rgba(255, 63, 63, 1) 100%);
}

.number-slide6 {
  background: rgb(64, 76, 255);
  background: linear-gradient(128deg,
      rgba(64, 76, 255, 1) 0%,
      rgba(174, 63, 255, 1) 100%);
}

.navigation-wrapper {
  position: relative;
}

.dots {
  display: flex;
  padding: 10px 0;
  justify-content: center;
}

.dot {
  border: none;
  width: 10px;
  height: 10px;
  background: #c5c5c5;
  border-radius: 50%;
  margin: 0 5px;
  padding: 5px;
  cursor: pointer;
}

.dotactive {
  border: none;
  width: 10px;
  height: 10px;
  background: #3768ee;
  border-radius: 50%;
  margin: 0 5px;
  padding: 5px;
  cursor: pointer;
}

.dot:focus {
  outline: none;
}

.dot.active {
  background: #000;
}

.arrow {
  width: 40px;
  height: 40px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  fill: $primary-color;
  cursor: pointer;
  // border: 1px solid #6D7278;
  border-radius: 50%;
  padding: 4px 0px 4px 0px;
}

.arrow--left {
  left: -45px;
}

.arrow--right {
  left: auto;
  right: -45px;
}

.arrow--disabled {
  fill: rgba(255, 255, 255, 0.5);
  border: 1px solid rgba(255, 255, 255, 0.5);
}


//for knee-scroll end

.cartCount {
  height: 15px;
  width: 15px;
  background: #3768ef;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 10px;
  border-radius: 50%;
  color: #fff;
  position: absolute;
  right: 3px;
  top: 3px;
}

.qtyInput {
  max-width: 70px;
  margin: auto;
}

.qty {
  min-width: 30px;
}

.profileAddress {
  .row-cols-md-4>* {
    flex: 0 0 auto;
    width: 50%;
  }
}

.svgDisabled {
  fill: #999 !important;
  pointer-events: none !important;
}

.MyOrderList {
  background-color: #f9f9f9 !important;
}

/// homeCommonslides css here///******
[class^="number-slide"],
[class*=" number-slide"] {
  background: grey;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 50px;
  color: #fff;
  font-weight: 500;
  height: 300px;
  max-height: 100vh;
}

.number-slide1 {
  background: rgb(64, 175, 255);
  background: linear-gradient(128deg,
      rgba(64, 175, 255, 1) 0%,
      rgba(63, 97, 255, 1) 100%);
}

.number-slide2 {
  background: rgb(255, 75, 64);
  background: linear-gradient(128deg,
      rgba(255, 154, 63, 1) 0%,
      rgba(255, 75, 64, 1) 100%);
}

.number-slide3 {
  background: rgb(182, 255, 64);
  background: linear-gradient(128deg,
      rgba(182, 255, 64, 1) 0%,
      rgba(63, 255, 71, 1) 100%);
  background: linear-gradient(128deg,
      rgba(189, 255, 83, 1) 0%,
      rgba(43, 250, 82, 1) 100%);
}

.number-slide4 {
  background: rgb(64, 255, 242);
  background: linear-gradient(128deg,
      rgba(64, 255, 242, 1) 0%,
      rgba(63, 188, 255, 1) 100%);
}

.number-slide5 {
  background: rgb(255, 64, 156);
  background: linear-gradient(128deg,
      rgba(255, 64, 156, 1) 0%,
      rgba(255, 63, 63, 1) 100%);
}

.number-slide6 {
  background: rgb(64, 76, 255);
  background: linear-gradient(128deg,
      rgba(64, 76, 255, 1) 0%,
      rgba(174, 63, 255, 1) 100%);
}

.navigation-wrapper {
  position: relative;
}

.dots {
  display: flex;
  padding: 10px 0;
  justify-content: center;
}

.dot {
  border: none;
  width: 10px;
  height: 10px;
  background: #c5c5c5;
  border-radius: 50%;
  margin: 0 5px;
  padding: 5px;
  cursor: pointer;
}

.dot:focus {
  outline: none;
}

.dot.active {
  background: #000;
}

.arrow {
  width: 30px;
  height: 30px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  fill: #fff;
  cursor: pointer;
}

.arrow--left {
  left: 5px;
}

.arrow--right {
  left: auto;
  right: 5px;
}

.arrow--disabled {
  fill: rgba(255, 255, 255, 0.5);
}

///*******




//department global css here*******
.department-container {
  padding-bottom: 5px;
  border-radius: 15px;
  background-color: #EDCA7B;

  .department-card {
    border-radius: 15px;
    margin: 0;
    background: #fff;
    padding: 0;
    border: 1px solid #EDEDEE;
  }
}

///////********

/// Product card styles
.productColContainer {
  padding-bottom: 5px;
  border-radius: 15px;
  background-color: $background-color-3;
}
.boxShadow{
  box-shadow: 0px 0px 3px 0px #ededee;
}
.headingShadow{
  box-shadow: 0px 7px 6px 1px #e3e3e3;
}
.productCard {
  border-radius: 15px;
  margin: 0;
  background: $sub-background;
  border: 1px solid $border-color-light;
}

img {
  width: 100%;
}

.productPriceContainer {
  position: relative;
  z-index: 0;
}

.productPriceContainer::before {
  content: '';
  width: 100%;
  border-bottom: solid 1px $border-color-light;
  position: absolute;
  left: 0;
  top: 50%;
  z-index: -1;
}

.productPrice {
  display: inline;
  background-color: $background-color-4;
  border-radius: 15px;
  padding: 5px 20px;
  text-align: center;
}

.productPriceunderline {
  border: 1px solid $border-color-light;
  position: absolute;
  top: 49%;
  left: 0;
  z-index: -1;
  width: 100%;
}



.productPlusMinusIcons {
  svg {
    fill: $border-color-light  !important;
    ;
  }
}
.productAddtoCartButton{
  button {
    font-size: 9px;
    font-weight: bold;
    padding: 0 15px;
  }
}
/// 
